Index: src/Analysis/analysis_correlation.cpp
===================================================================
--- src/Analysis/analysis_correlation.cpp	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ src/Analysis/analysis_correlation.cpp	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -22,4 +22,5 @@
 #include <iostream>
 #include <iomanip>
+#include <limits>
 
 #include "atom.hpp"
@@ -103,10 +104,12 @@
   // get highest trajectory size
   LOG(0,"STATUS: Retrieving maximum amount of time steps ...");
-  size_t max_timesteps = 0;
-  size_t min_timesteps = -1;
+  if (atoms.size() == 0)
+    return range<size_t>(0,0);
+  size_t max_timesteps = std::numeric_limits<size_t>::min();
+  size_t min_timesteps = std::numeric_limits<size_t>::max();
   BOOST_FOREACH(atom *_atom, atoms) {
     if (_atom->getTrajectorySize() > max_timesteps)
       max_timesteps  = _atom->getTrajectorySize();
-    if ((_atom->getTrajectorySize() <= max_timesteps) && (min_timesteps == (size_t)-1))
+    if (_atom->getTrajectorySize() < min_timesteps)
       min_timesteps = _atom->getTrajectorySize();
   }
@@ -180,8 +183,9 @@
 
   // set time step
+  LOG(0,"STATUS: Stepping onto to time step " << timestep << ".");
   World::getInstance().setTime(timestep);
 
   // get all molecules for this time step
-  LOG(0,"STATUS: Gathering molecules for time step " << timestep << " ...");
+  LOG(0,"STATUS: Gathering molecules from " << atoms.size() << " atoms for time step " << timestep << " ...");
   std::set<molecule *> molecules;
   BOOST_FOREACH(atom *_atom, atoms)
@@ -189,9 +193,9 @@
 
   // calculate dipoles for each
-  LOG(0,"STATUS: Calculating dipoles for time step " << timestep << " ...");
+  LOG(0,"STATUS: Calculating dipoles for " << molecules.size() << " molecules for time step " << timestep << " ...");
   size_t i=0;
   BOOST_FOREACH(molecule *_mol, molecules) {
     const Vector Dipole = getDipole(_mol->begin(), _mol->end());
-    LOG(2,"INFO: Dipole vector at time step " << timestep << " for for molecule "
+    LOG(2,"INFO: Dipole vector at time step " << timestep << " for molecule "
         << _mol->getId() << " is " << Dipole);
     molecule::const_iterator iter = _mol->begin();
@@ -649,5 +653,5 @@
 void OutputDipoleAngularCorrelation_Value( ofstream * const file, DipoleAngularCorrelationMap::const_iterator &runner )
 {
-  *file << runner->second->getName();
+  *file << *(runner->second);
 };
 
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_X.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_X.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_X.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-0	0	0	O1
+0	0	0	O1,(0,0,0)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0000.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0000.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0000.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-0	0	0	O1
+0	0	0	O1,(0,0,0)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0001.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0001.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0001.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-19.988355	0	0	O1
+19.988355	0	0	O1,(0.005,0,-0.029)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0002.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0002.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0002.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-29.965633	0	0	O1
+29.965633	0	0	O1,(0.011,0,-0.042)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0003.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0003.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0003.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-39.9495	0	0	O1
+39.9495	0	0	O1,(0.019,0,-0.054)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0004.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0004.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0004.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-49.902784	0	0	O1
+49.902784	0	0	O1,(0.029,0,-0.064)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0005.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0005.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0005.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-59.912167	0	0	O1
+59.912167	0	0	O1,(0.041,0,-0.073)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0006.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0006.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0006.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-69.875251	0	0	O1
+69.875251	0	0	O1,(0.054,0,-0.079)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0007.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0007.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0007.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-79.865555	0	0	O1
+79.865555	0	0	O1,(0.068,0,-0.083)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0008.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0008.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0008.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-89.89515	0	0	O1
+89.89515	0	0	O1,(0.083,0,-0.084)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0009.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0009.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0009.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-99.906381	0	0	O1
+99.906381	0	0	O1,(0.098,0,-0.083)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0010.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0010.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0010.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-109.87721	0	0	O1
+109.87721	0	0	O1,(0.112,0,-0.079)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0011.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0011.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0011.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-119.86589	0	0	O1
+119.86589	0	0	O1,(0.125,0,-0.073)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0012.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0012.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0012.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-129.84549	0	0	O1
+129.84549	0	0	O1,(0.137,0,-0.065)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0013.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0013.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0013.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-139.83507	0	0	O1
+139.83507	0	0	O1,(0.148,0,-0.055)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0014.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0014.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0014.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-149.86497	0	0	O1
+149.86497	0	0	O1,(0.157,0,-0.043)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0015.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0015.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0015.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-159.84406	0	0	O1
+159.84406	0	0	O1,(0.163,0,-0.03)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0016.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0016.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0016.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-169.85203	0	0	O1
+169.85203	0	0	O1,(0.167,0,-0.016)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0017.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0017.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0017.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-179.86908	0	0	O1
+179.86908	0	0	O1,(0.168,0,-0.001)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0018.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0018.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0018.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-170.11885	0	0	O1
+170.11885	0	0	O1,(0.167,0,0.014)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0019.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0019.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0019.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-160.12587	0	0	O1
+160.12587	0	0	O1,(0.163,0,0.028)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0020.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0020.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0020.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-150.15625	0	0	O1
+150.15625	0	0	O1,(0.157,0,0.041)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0021.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0021.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0021.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-140.19504	0	0	O1
+140.19504	0	0	O1,(0.149,0,0.053)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0022.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0022.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0022.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-130.19256	0	0	O1
+130.19256	0	0	O1,(0.139,0,0.064)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0023.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0023.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0023.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-120.1801	0	0	O1
+120.1801	0	0	O1,(0.127,0,0.073)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0024.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0024.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0024.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-110.19844	0	0	O1
+110.19844	0	0	O1,(0.114,0,0.079)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0025.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0025.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0025.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-100.20052	0	0	O1
+100.20052	0	0	O1,(0.1,0,0.083)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0026.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0026.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0026.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-90.191972	0	0	O1
+90.191972	0	0	O1,(0.085,0,0.084)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0027.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0027.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0027.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-80.186503	0	0	O1
+80.186503	0	0	O1,(0.07,0,0.083)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0028.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0028.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0028.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-70.198098	0	0	O1
+70.198098	0	0	O1,(0.056,0,0.079)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0029.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0029.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0029.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-60.230824	0	0	O1
+60.230824	0	0	O1,(0.043,0,0.073)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0030.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0030.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0030.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-50.269692	0	0	O1
+50.269692	0	0	O1,(0.031,0,0.065)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0031.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0031.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0031.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-40.265045	0	0	O1
+40.265045	0	0	O1,(0.02,0,0.055)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0032.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0032.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0032.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-30.279625	0	0	O1
+30.279625	0	0	O1,(0.011,0,0.043)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0033.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0033.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0033.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-20.309244	0	0	O1
+20.309244	0	0	O1,(0.005,0,0.03)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0034.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0034.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0034.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-10.334328	0	0	O1
+10.334328	0	0	O1,(0.001,0,0.016)
Index: tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0035.dat
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0035.dat	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/post/water_values_Y.0035.dat	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -1,2 +1,2 @@
 BinStart	BinCenter	BinEnd	FirstAtomOfMolecule
-0.31401001	0	0	O1
+0.31401001	0	0	O1,(-0,0,0.001)
Index: tests/regression/Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at
===================================================================
--- tests/regression/Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at	(revision 72105aa76e82e63091a7bc60f6846f4866f741ef)
+++ tests/regression/Analysis/DipoleAngularCorrelation/testsuite-analysis-dipole-angular-correlation.at	(revision 505d059b8f5c10ec0e270a2fbd0cbe8462d545d9)
@@ -4,5 +4,5 @@
 AT_KEYWORDS([analysis dipole correlation pdb dipole-angular-correlation])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/DipoleAngularCorrelation/pre/watermulti_X.pdb .], 0)
-AT_CHECK([../../molecuilder -v 4 -i watermulti_X.pdb -o pdb --select-molecules-by-formula H2O --select-molecules-atoms --dipole-angular-correlation --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -v 4 -i watermulti_X.pdb -o pdb -I --select-all-atoms --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
 i=0; while test $i -ne 36; do 
 	step=`printf %04d $i`
@@ -16,5 +16,5 @@
 AT_KEYWORDS([analysis dipole correlation pdb dipole-angular-correlation])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/DipoleAngularCorrelation/pre/watermulti_Y.pdb .], 0)
-AT_CHECK([../../molecuilder -v 4 -i watermulti_Y.pdb -o pdb --select-molecules-by-formula H2O --select-molecules-atoms --dipole-angular-correlation --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -v 4 -i watermulti_Y.pdb -o pdb -I --select-all-atoms --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
 i=0; while test $i -ne 36; do 
 	step=`printf %04d $i`
@@ -28,5 +28,5 @@
 AT_KEYWORDS([analysis dipole correlation xyz dipole-angular-correlation])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/DipoleAngularCorrelation/pre/watermulti_X.xyz .], 0)
-AT_CHECK([../../molecuilder -v 4 -i watermulti_X.xyz -o xyz -I --select-molecules-by-formula H2O --select-molecules-atoms --dipole-angular-correlation --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -v 4 -i watermulti_X.xyz -o xyz -I --select-all-atoms --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
 i=0; while test $i -ne 36; do 
 	step=`printf %04d $i`
@@ -40,5 +40,5 @@
 AT_KEYWORDS([analysis dipole correlation xyz dipole-angular-correlation])
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Analysis/DipoleAngularCorrelation/pre/watermulti_Y.xyz .], 0)
-AT_CHECK([../../molecuilder -v 4 -i watermulti_Y.xyz -o xyz -I --select-molecules-by-formula H2O --select-molecules-atoms --dipole-angular-correlation --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder -v 4 -i watermulti_Y.xyz -o xyz -I --select-all-atoms --dipole-angular-correlation H2O --bin-start -5 --bin-width 10. --bin-end 184.5 --output-file water_values --bin-output-file water_histogram], 0, [stdout], [stderr])
 i=0; while test $i -ne 36; do 
 	step=`printf %04d $i`