Index: tests/regression/Selection/Atoms/6/post/empty.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/empty.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/empty.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,2 @@
+0
+	Created by molecuilder for unselect-atom-by-id test
Index: tests/regression/Selection/Atoms/6/post/id0_missing.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id0_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id0_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,9 @@
+7
+	Created by molecuilder for select-atom-by-id
+H	0	0	1
+H	0	1	0
+H	0	1	1
+H	1	0	0
+H	1	0	1
+H	1	1	0
+H	1	1	1
Index: tests/regression/Selection/Atoms/6/post/id0_present.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id0_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id0_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder for unselect-atom-by-id
+H	0	0	0
Index: tests/regression/Selection/Atoms/6/post/id1_missing.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id1_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id1_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,9 @@
+7
+	Created by molecuilder for select-atom-by-id
+H	0	0	0
+H	0	1	0
+H	0	1	1
+H	1	0	0
+H	1	0	1
+H	1	1	0
+H	1	1	1
Index: tests/regression/Selection/Atoms/6/post/id1_present.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id1_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id1_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder for unselect-atom-by-id
+H	0	0	1
Index: tests/regression/Selection/Atoms/6/post/id2_missing.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id2_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id2_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,9 @@
+7
+	Created by molecuilder for select-atom-by-id
+H	0	0	0
+H	0	0	1
+H	0	1	1
+H	1	0	0
+H	1	0	1
+H	1	1	0
+H	1	1	1
Index: tests/regression/Selection/Atoms/6/post/id2_present.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id2_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id2_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder for unselect-atom-by-id
+H	0	1	0
Index: tests/regression/Selection/Atoms/6/post/id3_missing.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id3_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id3_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,9 @@
+7
+	Created by molecuilder for select-atom-by-id
+H	0	0	0
+H	0	0	1
+H	0	1	0
+H	1	0	0
+H	1	0	1
+H	1	1	0
+H	1	1	1
Index: tests/regression/Selection/Atoms/6/post/id3_present.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id3_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id3_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder for unselect-atom-by-id
+H	0	1	1
Index: tests/regression/Selection/Atoms/6/post/id4_missing.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id4_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id4_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,9 @@
+7
+	Created by molecuilder for select-atom-by-id
+H	0	0	0
+H	0	0	1
+H	0	1	0
+H	0	1	1
+H	1	0	1
+H	1	1	0
+H	1	1	1
Index: tests/regression/Selection/Atoms/6/post/id4_present.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id4_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id4_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder for unselect-atom-by-id
+H	1	0	0
Index: tests/regression/Selection/Atoms/6/post/id5_missing.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id5_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id5_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,9 @@
+7
+	Created by molecuilder for select-atom-by-id
+H	0	0	0
+H	0	0	1
+H	0	1	0
+H	0	1	1
+H	1	0	0
+H	1	1	0
+H	1	1	1
Index: tests/regression/Selection/Atoms/6/post/id5_present.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id5_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id5_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder for unselect-atom-by-id
+H	1	0	1
Index: tests/regression/Selection/Atoms/6/post/id6_missing.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id6_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id6_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,9 @@
+7
+	Created by molecuilder for select-atom-by-id
+H	0	0	0
+H	0	0	1
+H	0	1	0
+H	0	1	1
+H	1	0	0
+H	1	0	1
+H	1	1	1
Index: tests/regression/Selection/Atoms/6/post/id6_present.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id6_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id6_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder for unselect-atom-by-id
+H	1	1	0
Index: tests/regression/Selection/Atoms/6/post/id7_missing.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id7_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id7_missing.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,9 @@
+7
+	Created by molecuilder for select-atom-by-id
+H	0	0	0
+H	0	0	1
+H	0	1	0
+H	0	1	1
+H	1	0	0
+H	1	0	1
+H	1	1	0
Index: tests/regression/Selection/Atoms/6/post/id7_present.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/post/id7_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/post/id7_present.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,3 @@
+1
+	Created by molecuilder for unselect-atom-by-id
+H	1	1	1
Index: tests/regression/Selection/Atoms/6/pre/test.xyz
===================================================================
--- tests/regression/Selection/Atoms/6/pre/test.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
+++ tests/regression/Selection/Atoms/6/pre/test.xyz	(revision 512f85d322a6e9f33d30dd5c0407a7abb6513ce2)
@@ -0,0 +1,10 @@
+8
+	Created by molecuilder for select-atom-by-id
+H	0	0	0
+H	0	0	1
+H	0	1	0
+H	0	1	1
+H	1	0	0
+H	1	0	1
+H	1	1	0
+H	1	1	1