Index: src/UIElements/Qt4/InstanceBoard/QtObservedAtom.cpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedAtom.cpp	(revision 6c4b69d116a458152c8f6d55ce5f08afa7882f7a)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedAtom.cpp	(revision 522c456e53a0b038cad5c4e43564052c0e06d8c8)
@@ -101,5 +101,4 @@
   signedOffChannels(0),
   owner(NULL),
-  oldId(_id),
   index(static_cast<const ObservedValue_Index_t>(const_cast<const QtObservedAtom * const>(this))),
   board(_board),
@@ -268,7 +267,5 @@
     case AtomObservable::IndexChanged:
     {
-      const atomId_t newId = getAtomIndex();
-      emit indexChanged(oldId, newId);
-      oldId = newId;
+      emit indexChanged();
       break;
     }
Index: src/UIElements/Qt4/InstanceBoard/QtObservedAtom.hpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedAtom.hpp	(revision 6c4b69d116a458152c8f6d55ce5f08afa7882f7a)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedAtom.hpp	(revision 522c456e53a0b038cad5c4e43564052c0e06d8c8)
@@ -149,5 +149,5 @@
 
 signals:
-  void indexChanged(const atomId_t, const atomId_t);
+  void indexChanged();
   void bondsChanged();
   void elementChanged();
@@ -288,7 +288,4 @@
 
 private:
-  //!> contains still the old id after the index of the atom changed
-  atomId_t oldId;
-
   //!> unique index among all observed instances
   const ObservedValue_Index_t index;
Index: src/UIElements/Qt4/InstanceBoard/QtObservedBond.cpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedBond.cpp	(revision 6c4b69d116a458152c8f6d55ce5f08afa7882f7a)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedBond.cpp	(revision 522c456e53a0b038cad5c4e43564052c0e06d8c8)
@@ -250,11 +250,9 @@
 
   // pass thru to signals from both atoms
-  connect( leftatom.get(), SIGNAL(indexChanged(const atomId_t, const atomId_t)),
-      this, SIGNAL(leftAtomIndexChanged(atomId_t, atomId_t)));
+  connect( leftatom.get(), SIGNAL(indexChanged()), this, SIGNAL(leftAtomIndexChanged()));
   connect( leftatom.get(), SIGNAL(elementChanged()), this, SIGNAL(leftAtomElementChanged()));
   connect( leftatom.get(), SIGNAL(positionChanged()), this, SIGNAL(leftAtomPositionChanged()));
   connect( leftatom.get(), SIGNAL(moleculeChanged()), this, SIGNAL(leftmoleculeChanged()));
-  connect( rightatom.get(), SIGNAL(indexChanged(const atomId_t, const atomId_t)),
-      this, SIGNAL(rightAtomIndexChanged(atomId_t, atomId_t)));
+  connect( rightatom.get(), SIGNAL(indexChanged()), this, SIGNAL(rightAtomIndexChanged()));
   connect( rightatom.get(), SIGNAL(elementChanged()), this, SIGNAL(rightAtomElementChanged()));
   connect( rightatom.get(), SIGNAL(positionChanged()), this, SIGNAL(rightAtomPositionChanged()));
Index: src/UIElements/Qt4/InstanceBoard/QtObservedBond.hpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedBond.hpp	(revision 6c4b69d116a458152c8f6d55ce5f08afa7882f7a)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedBond.hpp	(revision 522c456e53a0b038cad5c4e43564052c0e06d8c8)
@@ -190,11 +190,11 @@
 signals:
 
-  void indexChanged(bondId_t, bondId_t);
+  void indexChanged();
   void degreeChanged();
-  void leftAtomIndexChanged(atomId_t, atomId_t);
+  void leftAtomIndexChanged();
   void leftAtomElementChanged();
   void leftAtomPositionChanged();
   void leftmoleculeChanged();
-  void rightAtomIndexChanged(atomId_t, atomId_t);
+  void rightAtomIndexChanged();
   void rightAtomElementChanged();
   void rightAtomPositionChanged();
Index: src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.cpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.cpp	(revision 6c4b69d116a458152c8f6d55ce5f08afa7882f7a)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.cpp	(revision 522c456e53a0b038cad5c4e43564052c0e06d8c8)
@@ -109,5 +109,4 @@
   signedOffChannels(0),
   owner(NULL),
-  oldId(_id),
   index(static_cast<const ObservedValue_Index_t>(const_cast<const QtObservedMolecule * const>(this))),
   board(_board),
@@ -276,7 +275,5 @@
         observerLog().addMessage() << "++ Observer " << observerLog().getName(static_cast<Observer *>(this)) << " received notification that atom "+toString(_id)+"'s index has changed.";
   #endif
-        const moleculeId_t newId = getMolIndex();
-        emit indexChanged(oldId, newId);
-        oldId = newId;
+        emit indexChanged();
         break;
       }
Index: src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.hpp
===================================================================
--- src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.hpp	(revision 6c4b69d116a458152c8f6d55ce5f08afa7882f7a)
+++ src/UIElements/Qt4/InstanceBoard/QtObservedMolecule.hpp	(revision 522c456e53a0b038cad5c4e43564052c0e06d8c8)
@@ -160,5 +160,5 @@
   void bondcountChanged();
   void formulaChanged();
-  void indexChanged(const moleculeId_t, const moleculeId_t);
+  void indexChanged();
   void nameChanged();
   void nononhydrogenChanged();
@@ -311,7 +311,4 @@
 
 private:
-  //!> contains still the old index after the index changed
-  moleculeId_t oldId;
-
   //!> unique index among all observed instances
   const ObservedValue_Index_t index;
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 6c4b69d116a458152c8f6d55ce5f08afa7882f7a)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.cpp	(revision 522c456e53a0b038cad5c4e43564052c0e06d8c8)
@@ -74,5 +74,5 @@
 
   connect( this, SIGNAL(clicked()), this, SLOT(wasClicked()));
-  connect( ObservedAtom.get(), SIGNAL(indexChanged(const atomId_t, const atomId_t)), this, SLOT(resetIndex(const atomId_t, const atomId_t)));
+  connect( ObservedAtom.get(), SIGNAL(indexChanged()), this, SLOT(resetIndex()));
   connect( ObservedAtom.get(), SIGNAL(elementChanged()), this, SLOT(resetElement()));
   connect( ObservedAtom.get(), SIGNAL(positionChanged()), this, SLOT(resetPosition()));
@@ -83,5 +83,5 @@
 {}
 
-void GLMoleculeObject_atom::resetIndex(const atomId_t, const atomId_t)
+void GLMoleculeObject_atom::resetIndex()
 {
   const atomId_t newId = ObservedAtom->getAtomIndex();
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.hpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.hpp	(revision 6c4b69d116a458152c8f6d55ce5f08afa7882f7a)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_atom.hpp	(revision 522c456e53a0b038cad5c4e43564052c0e06d8c8)
@@ -43,5 +43,5 @@
 private slots:
   void wasClicked();
-  void resetIndex(const atomId_t, const atomId_t);
+  void resetIndex();
   void resetElement();
   void resetPosition();
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision 6c4b69d116a458152c8f6d55ce5f08afa7882f7a)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision 522c456e53a0b038cad5c4e43564052c0e06d8c8)
@@ -57,5 +57,4 @@
 #include "UIElements/Qt4/InstanceBoard/QtObservedInstanceBoard.hpp"
 #include "Atom/TesselPoint.hpp"
-#include "World.hpp"
 
 static QGLSceneNode *createMoleculeMesh(const QGeometryData &_geo)
@@ -102,6 +101,5 @@
   connect (ObservedMolecule.get(), SIGNAL(tesselationhullChanged()), this, SLOT(setTesselationOutOfDate()));
   connect (ObservedMolecule.get(), SIGNAL(boundingboxChanged()), this, SLOT(resetBoundingBox()));
-  connect (ObservedMolecule.get(), SIGNAL(indexChanged(const moleculeId_t, const moleculeId_t)),
-      this, SLOT(resetIndex(const moleculeId_t, const moleculeId_t)));
+  connect (ObservedMolecule.get(), SIGNAL(indexChanged()), this, SLOT(resetIndex()));
   /// these are channeled through GLWorldScene instead to ensure synchronicity
 //  connect (ObservedMolecule.get(), SIGNAL(atomInserted(QtObservedAtom::ptr)),
@@ -217,5 +215,5 @@
 }
 
-void GLMoleculeObject_molecule::resetIndex(const moleculeId_t, const moleculeId_t)
+void GLMoleculeObject_molecule::resetIndex()
 {
   const atomId_t newId = ObservedMolecule->getMolIndex();
Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.hpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.hpp	(revision 6c4b69d116a458152c8f6d55ce5f08afa7882f7a)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.hpp	(revision 522c456e53a0b038cad5c4e43564052c0e06d8c8)
@@ -66,5 +66,5 @@
   void setTesselationOutOfDate();
   void resetBoundingBox();
-  void resetIndex(const moleculeId_t, const moleculeId_t);
+  void resetIndex();
   void resetSelected();
 