Index: tests/regression/Graph/DestroyAdjacency/pre/ethane.pdb
===================================================================
--- tests/regression/Graph/DestroyAdjacency/pre/ethane.pdb	(revision 560cbfdc6f64a3ba2d8d199f06984d8ea1f79247)
+++ tests/regression/Graph/DestroyAdjacency/pre/ethane.pdb	(revision 560cbfdc6f64a3ba2d8d199f06984d8ea1f79247)
@@ -0,0 +1,18 @@
+REMARK created by molecuilder on Wed Feb 27 12:17:18 2013, time step 0
+ATOM      1 C01 0alk 00          3.125  10.442  10.000  0.00  0.00           C 0
+ATOM      2 C02 0alk 00          4.374   9.559  10.000  0.00  0.00           C 0
+ATOM      3 H01 0alk 00          3.125  11.071   9.110  0.00  0.00           H 0
+ATOM      4 H02 0alk 00          3.125  11.071  10.890  0.00  0.00           H 0
+ATOM      5 H03 0alk 00          4.374   8.929   9.110  0.00  0.00           H 0
+ATOM      6 H04 0alk 00          4.374   8.929  10.890  0.00  0.00           H 0
+ATOM      7 H05 0alk 00          2.235   9.813  10.000  0.00  0.00           H 0
+ATOM      8 H06 0alk 00          5.264  10.188  10.000  0.00  0.00           H 0
+CONECT    1    2    3    4    7                                                 
+CONECT    2    1    5    6    8                                                 
+CONECT    3    1                                                                
+CONECT    4    1                                                                
+CONECT    5    2                                                                
+CONECT    6    2                                                                
+CONECT    7    1                                                                
+CONECT    8    2                                                                
+END
Index: tests/regression/Graph/DestroyAdjacency/testsuite-graph-destroy-adjacency.at
===================================================================
--- tests/regression/Graph/DestroyAdjacency/testsuite-graph-destroy-adjacency.at	(revision 560cbfdc6f64a3ba2d8d199f06984d8ea1f79247)
+++ tests/regression/Graph/DestroyAdjacency/testsuite-graph-destroy-adjacency.at	(revision 560cbfdc6f64a3ba2d8d199f06984d8ea1f79247)
@@ -0,0 +1,69 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### Subgraph adjacency
+
+AT_SETUP([Graph - destroy adjacency])
+AT_KEYWORDS([graph destroy-adjacency])
+
+file=ethane.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/DestroyAdjacency/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file --select-all-atoms --destroy-adjacency], 0, [stdout], [stderr])
+AT_CHECK([fgrep "CONECT" $file], 1, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/DestroyAdjacency/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file --select-atom-by-id 1 --destroy-adjacency], 0, [stdout], [stderr])
+AT_CHECK([fgrep "CONECT" $file], 0, [stdout], [ignore])
+AT_CHECK([fgrep "4" stdout], 0, [stdout], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Graph - destroy adjacency with Undo])
+AT_KEYWORDS([graph destroy-adjacency undo])
+
+file=ethane.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/DestroyAdjacency/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file --select-all-atoms --destroy-adjacency --undo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "CONECT" $file], 0, [stdout], [ignore])
+AT_CHECK([fgrep "8" stdout], 0, [stdout], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/DestroyAdjacency/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file --select-atom-by-id 1 --destroy-adjacency --undo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "CONECT" $file], 0, [stdout], [ignore])
+AT_CHECK([fgrep "8" stdout], 0, [stdout], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Graph - destroy adjacency with Redo])
+AT_KEYWORDS([graph destroy-adjacency redo])
+
+file=ethane.pdb
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/DestroyAdjacency/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file  --select-all-atoms --destroy-adjacency --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "CONECT" $file], 1, [ignore], [ignore])
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/DestroyAdjacency/pre/ethane.pdb $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i $file --select-atom-by-id 1 --destroy-adjacency --undo --redo], 0, [stdout], [stderr])
+AT_CHECK([fgrep "CONECT" $file], 0, [stdout], [ignore])
+AT_CHECK([fgrep "4" stdout], 0, [stdout], [ignore])
+
+AT_CLEANUP
Index: tests/regression/Graph/testsuite-graph.at
===================================================================
--- tests/regression/Graph/testsuite-graph.at	(revision 055ad7d1ba1b8d09c8c3cf8f1dfdf2b27859c787)
+++ tests/regression/Graph/testsuite-graph.at	(revision 560cbfdc6f64a3ba2d8d199f06984d8ea1f79247)
@@ -21,4 +21,7 @@
 m4_include([Graph/CreateAdjacency/testsuite-graph-create-adjacency.at])
 
+# create adjacency
+m4_include([Graph/DestroyAdjacency/testsuite-graph-destroy-adjacency.at])
+
 # DFS analysis
 m4_include([Graph/DepthFirstSearch/testsuite-graph-depth-first-search.at])
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 055ad7d1ba1b8d09c8c3cf8f1dfdf2b27859c787)
+++ tests/regression/Makefile.am	(revision 560cbfdc6f64a3ba2d8d199f06984d8ea1f79247)
@@ -78,4 +78,5 @@
 	$(srcdir)/Graph/CreateAdjacency/testsuite-graph-create-adjacency.at \
 	$(srcdir)/Graph/DepthFirstSearch/testsuite-graph-depth-first-search.at \
+	$(srcdir)/Graph/DestroyAdjacency/testsuite-graph-destroy-adjacency.at \
 	$(srcdir)/Graph/SubgraphDissection/testsuite-graph-subgraph-dissection.at \
 	$(srcdir)/Graph/SubgraphDissection-BoundaryConditions/testsuite-graph-subgraph-dissection_boundary-conditions.at \