Index: src/Actions/WorldAction/AddEmptyBoundaryAction.cpp
===================================================================
--- src/Actions/WorldAction/AddEmptyBoundaryAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/AddEmptyBoundaryAction.cpp	(revision 623e89168dc407fe77c5dbbf192859477cae91d7)
@@ -7,5 +7,4 @@
 
 #include "Actions/WorldAction/AddEmptyBoundaryAction.hpp"
-#include "CommandLineParser.hpp"
 #include "atom.hpp"
 #include "log.hpp"
Index: src/Actions/WorldAction/BoundInBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/BoundInBoxAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/BoundInBoxAction.cpp	(revision 623e89168dc407fe77c5dbbf192859477cae91d7)
@@ -7,5 +7,4 @@
 
 #include "Actions/WorldAction/BoundInBoxAction.hpp"
-#include "CommandLineParser.hpp"
 #include "log.hpp"
 #include "molecule.hpp"
Index: src/Actions/WorldAction/CenterInBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/CenterInBoxAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/CenterInBoxAction.cpp	(revision 623e89168dc407fe77c5dbbf192859477cae91d7)
@@ -7,5 +7,4 @@
 
 #include "Actions/WorldAction/CenterInBoxAction.hpp"
-#include "CommandLineParser.hpp"
 #include "log.hpp"
 #include "molecule.hpp"
Index: src/Actions/WorldAction/CenterOnEdgeAction.cpp
===================================================================
--- src/Actions/WorldAction/CenterOnEdgeAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/CenterOnEdgeAction.cpp	(revision 623e89168dc407fe77c5dbbf192859477cae91d7)
@@ -7,5 +7,4 @@
 
 #include "Actions/WorldAction/CenterOnEdgeAction.hpp"
-#include "CommandLineParser.hpp"
 #include "atom.hpp"
 #include "log.hpp"
Index: src/Actions/WorldAction/ChangeBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/ChangeBoxAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/ChangeBoxAction.cpp	(revision 623e89168dc407fe77c5dbbf192859477cae91d7)
@@ -7,5 +7,4 @@
 
 #include "Actions/WorldAction/ChangeBoxAction.hpp"
-#include "CommandLineParser.hpp"
 #include "log.hpp"
 #include "verbose.hpp"
Index: src/Actions/WorldAction/RemoveSphereOfAtomsAction.cpp
===================================================================
--- src/Actions/WorldAction/RemoveSphereOfAtomsAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/RemoveSphereOfAtomsAction.cpp	(revision 623e89168dc407fe77c5dbbf192859477cae91d7)
@@ -7,5 +7,4 @@
 
 #include "Actions/WorldAction/RemoveSphereOfAtomsAction.hpp"
-#include "CommandLineParser.hpp"
 #include "atom.hpp"
 #include "Descriptors/AtomDescriptor.hpp"
Index: src/Actions/WorldAction/RepeatBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/RepeatBoxAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/RepeatBoxAction.cpp	(revision 623e89168dc407fe77c5dbbf192859477cae91d7)
@@ -7,5 +7,4 @@
 
 #include "Actions/WorldAction/RepeatBoxAction.hpp"
-#include "CommandLineParser.hpp"
 #include "atom.hpp"
 #include "log.hpp"
Index: src/Actions/WorldAction/ScaleBoxAction.cpp
===================================================================
--- src/Actions/WorldAction/ScaleBoxAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/ScaleBoxAction.cpp	(revision 623e89168dc407fe77c5dbbf192859477cae91d7)
@@ -7,5 +7,4 @@
 
 #include "Actions/WorldAction/ScaleBoxAction.hpp"
-#include "CommandLineParser.hpp"
 #include "atom.hpp"
 #include "log.hpp"
Index: src/Actions/WorldAction/SetDefaultNameAction.cpp
===================================================================
--- src/Actions/WorldAction/SetDefaultNameAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/SetDefaultNameAction.cpp	(revision 623e89168dc407fe77c5dbbf192859477cae91d7)
@@ -7,5 +7,4 @@
 
 #include "Actions/WorldAction/SetDefaultNameAction.hpp"
-#include "CommandLineParser.hpp"
 #include "log.hpp"
 #include "World.hpp"
Index: src/Actions/WorldAction/SetGaussianBasisAction.cpp
===================================================================
--- src/Actions/WorldAction/SetGaussianBasisAction.cpp	(revision e30ce84fbef084941d63f2e2a7066172cc844cb4)
+++ src/Actions/WorldAction/SetGaussianBasisAction.cpp	(revision 623e89168dc407fe77c5dbbf192859477cae91d7)
@@ -7,5 +7,4 @@
 
 #include "Actions/WorldAction/SetGaussianBasisAction.hpp"
-#include "CommandLineParser.hpp"
 #include "config.hpp"
 #include "World.hpp"